/****************************************************************************************/
/*                                                                                      */
/*          events.h                                                                    */
/*                                                                                      */
/****************************************************************************************/

#ifndef _EVENTS_H_
#define _EVENTS_H_





void SCOLprocessMinMaxInfo ( mmachine m , HWND hw , MINMAXINFO * mmi );
int SCOLHandleNotifyMessage ( mmachine m,NMHDR *p);

void SCOLprocessScroll ( mmachine m , HWND hw , LPARAM l , WPARAM w , char mode ) ;
void SCOLremakeScrollChild ( HWND child );

void SCOLremakeScroll( HWND Child );

int SCOLDropFiles ( mmachine m , HWND hwin , HDROP h , int TypeObjet , int ReflexNum );


int SCOLEventMoveText ( mmachine m , HWND h , short PosX , short PosY );
    
int SCOLEventSizeText ( mmachine m , HWND h , int TailleW , int TailleH );

int SCOLEventMoveWindow ( mmachine m , HWND h , short PosX , short PosY );
    
int SCOLEventSizeWindow ( mmachine m , HWND h , int TailleW , int TailleH );

int SCOLEventClickMouse(mmachine m, HWND h, short X, short Y, int B,int type,int reflexe);

int SCOLEventUnClickMouse(mmachine m, HWND h, short X, short Y, int B,int type,int reflexe);

int SCOLEventMoveMouse(mmachine m, HWND h, short X, short Y, int S);

int SCOLEventDClickMouse ( mmachine m , HWND h , short X , short Y , int B );


int SCOLKeyDownEvent(mmachine m,HWND h, int scancode, int KeyData);

int SCOLKeyUpEvent(mmachine m, HWND h, int Key);

int SCOLPaintEvent(mmachine m, HWND h);

int SCOLCommandEvent(mmachine m,HWND Parent,int Code,int Control,HWND Child);

int SCOLDestroyEvent(mmachine m,HWND h);


int SCOLCloseEvent(mmachine m,HWND h);

int SCOLEventMouseWheel(mmachine m,HWND hwnd, int delta, int x, int y, UINT keyFlags);

int SCOLEventPower(mmachine m,HWND hwnd, int val);



int D2events(mmachine m,HWND hwnd,unsigned int msg,UINT wParam, LONG lParam,int *ret);

int D2WINDOW(mmachine m,int handsys,int objm);

int D2BUTTON(mmachine m,int handsys,int objm);

int D2TEXT(mmachine m,int handsys,int objm);

int D2FONT(mmachine m,int handsys,int objm);

int D2CHECK(mmachine m,int handsys,int objm);

int D2MENU(mmachine m,int handsys,int objm);

int D2MENUITEM(mmachine m,int handsys,int objm);

int D2COMBOBOX(mmachine m,int handsys,int objm);

int D2BITMAP(mmachine m,int handsys,int objm);

int D2CURSOR(mmachine m,int handsys,int objm);

int D2LISTBOX(mmachine m,int handsys,int objm);

int D2RICHTEXT(mmachine m,int handsys,int objm);

int D2TREE(mmachine m,int handsys,int objm);

int D2LISTBITMAP(mmachine m,int handsys,int objm);

int D2LISTTAB(mmachine m,int handsys,int objm);

int D2HEADER(mmachine m,int handsys,int objm);




#endif
